# StoredSimulationData

class `openff.evaluator.storage.data.``StoredSimulationData`

  A representation of data which has been cached from a single previous simulation.

  Notes

  The ancillary directory which stores larger information such as trajectories should be of the form:

      |--- data_object.json
      |--- data_directory
           |--- coordinate_file_name.pdb
           |--- trajectory_file_name.dcd
           |--- statistics_file_name.csv

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__` | Initialize self.
  `from_json`(file_path) | Create this object from a JSON file.
  `get_attributes`([attribute_type]) | Returns all attributes of a specific attribute_type.
  `has_ancillary_data`() | Returns whether this data object requires an accompanying data directory-like structure.
  `json`([file_path, format]) | Creates a JSON representation of this class.
  `most_information`(stored_data_1, stored_data_2) | Returns the data object with the lowest statistical_inefficiency.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `to_storage_query`() | returns The storage query which would match this
  `validate`([attribute_type]) | Validate the values of the attributes.

  Attributes

  `coordinate_file_name` | The name of a coordinate file which encodes the topology information of the system.
  `force_field_id` | The id of the force field parameters used to generate the data.
  `number_of_molecules` | The total number of molecules in the system.
  `property_phase` | The phase of the system (e.g.
  `source_calculation_id` | The server id of the calculation which yielded this data.
  `statistical_inefficiency` | The statistical inefficiency of the collected data.
  `statistics_file_name` | The name of a StatisticsArray csv file, containing statistics generated by the simulation.
  `substance` | A description of the composition of the stored system.
  `thermodynamic_state` | The state at which the data was collected.
  `trajectory_file_name` | The name of a .dcd trajectory file containing configurations generated by the simulation.

  `substance`

    A description of the composition of the stored system. The default value of this attribute is not set and must be set by the user..

    Type

      Substance

  `thermodynamic_state`

    The state at which the data was collected. The default value of this attribute is not set and must be set by the user..

    Type

      ThermodynamicState

  `property_phase`

    The phase of the system (e.g. liquid, gas). The default value of this attribute is not set and must be set by the user..

    Type

      PropertyPhase

  `source_calculation_id`

    The server id of the calculation which yielded this data. The default value of this attribute is not set and must be set by the user..

    Type

      str

  `force_field_id`

    The id of the force field parameters used to generate the data. The default value of this attribute is not set and must be set by the user..

    Type

      str

  `coordinate_file_name`

    The name of a coordinate file which encodes the topology information of the system. The default value of this attribute is not set and must be set by the user..

    Type

      FilePath

  `trajectory_file_name`

    The name of a .dcd trajectory file containing configurations generated by the simulation. The default value of this attribute is not set and must be set by the user..

    Type

      FilePath

  `statistics_file_name`

    The name of a StatisticsArray csv file, containing statistics generated by the simulation. The default value of this attribute is not set and must be set by the user..

    Type

      FilePath

  `statistical_inefficiency`

    The statistical inefficiency of the collected data. The default value of this attribute is not set and must be set by the user..

    Type

      float

  `number_of_molecules`

    The total number of molecules in the system. The default value of this attribute is not set and must be set by the user..

    Type

      int

  classmethod `has_ancillary_data`()

    Returns whether this data object requires an accompanying data directory-like structure.

    Returns

      True if this class requires an accompanying data directory-like structure.

    Return type

      bool

  classmethod `most_information`(stored_data_1, stored_data_2)

    Returns the data object with the lowest statistical_inefficiency.

    Parameters

      - stored_data_1 (StoredSimulationData) – The first piece of data to compare.

      - stored_data_2 (StoredSimulationData) – The second piece of data to compare.

    Returns

    Return type

      StoredSimulationData

  `to_storage_query`()
    Returns

      The storage query which would match this data object.

    Return type

      SimulationDataQuery

  classmethod `from_json`(file_path)

    Create this object from a JSON file.

    Parameters

      file_path (str) – The path to load the JSON from.

    Returns

      The parsed class.

    Return type

      cls

  classmethod `get_attributes`(attribute_type=None)

    Returns all attributes of a specific attribute_type.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to search for.

    Returns

      The names of the attributes of the specified type.

    Return type

      list of str

  `json`(file_path=None, format=False)

    Creates a JSON representation of this class.

    Parameters

      - file_path (str, optional) – The (optional) file path to save the JSON file to.

      - format (bool) – Whether to format the JSON or not.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any

  `validate`(attribute_type=None)

    Validate the values of the attributes. If attribute_type is set, only attributes of that type will be validated.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to validate.

    Raises

      ValueError or AssertionError –